export default {
  name: 'Report',
  path: '/report',
  meta: {
    title: '数据驾驶舱',
    sort: 9,
    isModule: true,
    alias: 'test',
    icon: 'report',
  },
  children: [
    {
      name: 'DispatchAnalysis',
      path: '/report/dispatch-analysis',
      component: () => import('@/views/report/dispatch-analysis/index.vue'),
      meta: {
        title: '派单分析',
        sort: 1,
        alias: 'test1',
        icon: 'report-dispatch',
      },
    },
    {
      name: 'ServiceAnalysis',
      path: '/report/service-analysis',
      component: () => import('@/views/report/service-analysis/index.vue'),
      meta: {
        title: '服务单元分析',
        sort: 2,
        alias: 'test2',
        icon: 'report-unit',
      },
    },
    {
      name: 'SopAnalysis',
      path: '/report/sop-analysis',
      component: () => import('@/views/report/sop-analysis/index.vue'),
      meta: {
        title: 'SOP预警监控',
        sort: 3,
        alias: 'test3',
        icon: 'report-warning',
      },
    },
    {
      name: 'ProjectAnalysis',
      path: '/report/project-analysis',
      component: () => import('@/views/report/project-analysis/index.vue'),
      meta: {
        title: '项目进度监控',
        sort: 4,
        alias: 'test4',
        icon: 'report-project',
      },
    },
    {
      name: 'DeviceAnalysis',
      path: '/report/device-analysis',
      component: () => import('@/views/report/device-analysis/index.vue'),
      meta: {
        title: '设备保障监控',
        sort: 5,
        alias: 'test5',
        icon: 'report-device',
      },
    },
    {
      name: 'QualityAnalysis',
      path: '/report/quality-analysis',
      component: () => import('@/views/report/quality-analysis/index.vue'),
      meta: {
        title: '质量监控分析',
        sort: 6,
        // alias: 'qualityProblemControl',
        alias: 'test6',
        icon: 'report-quality',
      },
    },
  ],
};
