export default {
  name: 'ResourceGuard',
  path: '/resource-guard',
  meta: {
    title: '资源保障',
    sort: 3,
    isModule: true,
    alias: 'resourceManage',
    icon: 'resource',
  },
  children: [
    {
      name: 'PersonGuard',
      path: '/resource-guard/person-guard',
      meta: {
        title: '人资保障',
        sort: 1,
        alias: 'humanManage',
      },
      children: [
        {
          name: 'PersonFiles',
          path: '/resource-guard/person-guard/person-files',
          component: () =>
            import(
              '@/views/resource-guard/person-guard/person-files/index.vue'
            ),
          meta: {
            title: '人员档案管理',
            sort: 1,
            alias: 'userArchives',
            icon: 'user-archives',
          },
        },
        {
          name: 'PersonAllocate',
          path: '/resource-guard/person-guard/person-allocate',
          component: () =>
            import(
              '@/views/resource-guard/person-guard/person-allocate/index.vue'
            ),
          meta: {
            title: '人员调配',
            sort: 2,
            alias: 'userAllocate',
            icon: 'user-allocate',
          },
        },
      ],
    },
    {
      name: 'DeviceGuard',
      path: '/resource-guard/device-guard',
      meta: {
        title: '设备保障',
        sort: 2,
        alias: 'deviceManage',
      },
      children: [
        {
          name: 'DeviceSend',
          path: '/resource-guard/device-guard/device-send',
          component: () =>
            import('@/views/resource-guard/device-guard/device-send/index.vue'),
          meta: {
            title: '设备发货管理',
            sort: 1,
            alias: 'deviceDelivery',
            icon: 'device-outin',
          },
        },
        {
          name: 'RegistrationQuery',
          path: '/resource-guard/device-guard/registration-query',
          component: () =>
            import(
              '@/views/resource-guard/device-guard/registration-query/index.vue'
            ),
          meta: {
            title: '出入库登记查询',
            sort: 2,
            alias: 'deviceInOut',
            icon: 'device-outin',
          },
        },
      ],
    },
  ],
};
