export default {
  name: 'ServiceUnit',
  path: '/service-unit',
  meta: {
    title: '服务单元',
    sort: 1,
    isModule: true,
    alias: 'serviceManage',
    icon: 'service',
  },
  children: [
    {
      name: 'Dispatch',
      path: '/service-unit/dispatch',
      meta: {
        title: '派单管理',
        sort: 1,
        alias: 'crmManage',
      },
      children: [
        {
          name: 'DispatchManage',
          path: '/service-unit/dispatch/dispatch-manage',
          component: () =>
            import('@/views/service-unit/dispatch/dispatch-manage/index.vue'),
          meta: {
            title: '派单管理',
            sort: 1,
            alias: 'crm',
            icon: 'service-crm',
          },
        },
      ],
    },
    {
      name: 'ServiceUnitManage',
      path: '/service-unit/service-unit-manage',
      meta: {
        title: '服务单元管理',
        sort: 2,
        alias: 'serviceChildManage',
      },
      children: [
        {
          name: 'UnitManage',
          path: '/service-unit/service-unit-manage/unit-manage',
          component: () =>
            import(
              '@/views/service-unit/service-unit-manage/unit-manage/index.vue'
            ),
          meta: {
            title: '服务单元管理',
            sort: 1,
            alias: 'service',
            icon: 'service-unit',
          },
        },
        {
          name: 'RangeManage',
          path: '/service-unit/service-unit-manage/range-manage',
          component: () =>
            import(
              '@/views/service-unit/service-unit-manage/range-manage/index.vue'
            ),
          meta: {
            title: '服务范围管理',
            sort: 2,
            alias: 'serviceScope',
            icon: 'service-range',
          },
        },
        {
          name: 'RegionalPlanning',
          path: '/service-unit/service-unit-manage/regional-planning',
          component: () =>
            import(
              '@/views/service-unit/service-unit-manage/regional-planning/index.vue'
            ),
          meta: {
            title: '服务区域规划',
            sort: 3,
            alias: 'serviceRegion',
            icon: 'service-area',
          },
        },
      ],
    },
  ],
};
