export default {
  name: 'User',
  path: '/user',
  meta: {
    title: '用户',
    sort: 2,
    isModule: true,
    alias: 'userManage',
    icon: 'user',
  },
  children: [
    {
      name: 'OrgStructManage',
      path: '/user/org-struct-manage',
      meta: {
        title: '组织架构管理',
        sort: 1,
        alias: 'orgManage',
      },
      children: [
        {
          name: 'StructManage',
          path: '/user/org-struct-manage/struct-manage',
          component: () =>
            import('@/views/user/org-struct-manage/struct-manage/index.vue'),
          meta: {
            title: '组织架构管理',
            sort: 1,
            alias: 'org',
            icon: 'org',
          },
        },
      ],
    },
    {
      name: 'AuthManage',
      path: '/user/auth-manage',
      meta: {
        title: '用户权限管理',
        sort: 2,
        alias: 'userPrivilegeManage',
      },
      children: [
        {
          name: 'UserManage',
          path: '/user/auth-manage/user-manage',
          component: () =>
            import('@/views/user/auth-manage/user-manage/index.vue'),
          meta: {
            title: '用户管理',
            sort: 1,
            alias: 'user',
            icon: 'user-manage',
          },
        },
        {
          name: 'RoleManage',
          path: '/user/auth-manage/role-manage',
          component: () =>
            import('@/views/user/auth-manage/role-manage/index.vue'),
          meta: {
            title: '角色管理',
            sort: 2,
            alias: 'role',
            icon: 'role-manage',
          },
        },
        // {
        //   name: 'AddRole',
        //   path: '/user/auth-manage/add-role',
        //   component: () =>
        //     import('@/views/user/auth-manage/role-manage/add-role.vue'),
        //   meta: {
        //     title: '新增/编辑角色',
        //     bind: 'role',
        //   },
        // },
      ],
    },
    // {
    //   name: 'PasswordManage',
    //   path: '/user/password-manage',
    //   meta: {
    //     title: '密码管理',
    //     sort: 1,
    //     icon: 'lock-on',
    //     alias: 'pwdManage',
    //   },
    //   children: [
    //     {
    //       name: 'PasswordModify',
    //       path: '/user/password-manage/password-modify',
    //       component: () =>
    //         import('@/views/user/password-manage/password-modify/index.vue'),
    //       meta: {
    //         title: '密码修改',
    //         sort: 1,
    //         alias: 'pwd',
    //       },
    //     },
    //   ],
    // },
  ],
};
