/**
 * 【code取值包含以下】：
 * FORM_GROUP_TITLE  带虚线分割线的标题
 * TEXT  文本输入框
 * DATE 日期选择器
 * SELECT 下拉框，可能需要提供对应的api获取下拉列表
 * ONLY_TITLE  普通标题，独占一行
 * CHECKBOX 复选框组
 * TEXTAREA  多行文本输入域
 * TABLE 可编辑表格
 * RADIO 单选框
 * RADIO_WITH_INPUT  带1个输入框的单选框，比如选“其他”选项时，需要输入一定的文案
 * SIGN 手写签名
 * DEVICE_OUT_TABLE 设备出库的表格组件，内部较为复杂，于是单独封装前端业务组件，不细化成table配置数据
 * UPLOAD_IMAGE  上传图片组件，同时需要limit标记所需上传的数量值
 */
export default {
  flowId: '416278876461727744',
  status: 'AUDITING', //流程状态
  statusStr: '审核中',
  sopNo: '416278876860186625', //sop单号
  taskIdList: '[416279837896867847, 416279837905256450]', //待审批流程任务
  currFlowTaskResult: {
    taskName: '设备入库登记',
    taskKey: 'XXX',
    setup: 10,
    formKey: 'XXX',
    formProperty: [
      {
        code: 'RADIO',
        title: '设备出入库',
        options: [
          { value: '1', label: '出库' },
          { value: '2', label: '入库' },
        ],
        disabled: true,
      },
      {
        code: 'DATE',
        title: '设备出入库时间',
      },
      {
        code: 'DEVICE_IN_TABLE',
        title: '设备入库登记',
        api: '/api/******', //获取表格整体数据的api
      },
    ],
  },
  flowTaskHistoryList: [
    {
      taskName: '项目初审',
      taskKey: 'XXX',
      setup: 1,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '项目基本信息',
        },
        {
          code: 'TEXT',
          title: '科目数量',
        },
        {
          code: 'TEXT',
          title: '考试科次',
        },
        {
          code: 'DATE',
          title: '考生数据内部交接时间',
        },
        {
          code: 'DATE',
          title: '考试时间安排表获取时间',
        },
        {
          code: 'TEXT',
          title: '扫描仪数量（台）',
        },
        {
          code: 'TEXT',
          title: '现场标准服务周期（人天）',
        },
        {
          code: 'DATE',
          title: '项目关键信息提交截止时间',
        },
        {
          code: 'DATE',
          title: '现场服务完成撤场计划时间',
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '项目人员安排及风险评估',
        },
        {
          code: 'SELECT',
          title: '区域协调人',
          api: '/api/******',
          span: 4,
        },
        {
          code: 'SELECT',
          title: '实施工程师',
          api: '/api/******',
          span: 4,
        },
        {
          code: 'SELECT',
          title: '助理实施工程师',
          api: '/api/******',
          span: 4,
        },
        {
          code: 'ONLY_TITLE',
          title: '项目风险评估（仅供参考）',
        },
        {
          code: 'CHECKBOX',
          title: '延期风险',
          options: [
            { value: '1', label: '低' },
            { value: '2', label: '中' },
            { value: '3', label: '高' },
          ],
        },
        {
          code: 'CHECKBOX',
          title: '实施难度',
          options: [
            { value: '1', label: '低' },
            { value: '2', label: '中' },
            { value: '3', label: '高' },
          ],
        },
        {
          code: 'TEXTAREA',
          title: '其它备注（建议关注的其它方面）',
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '项目联系人',
        },
        {
          code: 'TABLE',
          title: '',
          tablePropList: [
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 1,
              tdId: 'XXX',
              tdName: 'XXX',
              title: '学院/分（子）机构',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: '19',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 2,
              tdId: 'XXX',
              tdName: 'XXX',
              title: '姓名',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 3,
              tdId: 'XXX',
              tdName: 'XXX',
              title: '职务',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
            {
              id: 'XXX',
              widgetId: 'XXX',
              tdIndex: 4,
              tdId: 'XXX',
              tdName: 'XXX',
              title: '手机',
              tdOrder: true,
              tdSearch: true,
              editWidgetId: 'XXX',
              tdFormWidget: {
                code: 'TEXT',
                name: '文本',
              },
            },
          ],
        },
      ],
    },
    {
      taskName: '项目关键信息',
      taskKey: 'XXX',
      setup: 2,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '云阅卷（填写前请先认真查阅移交的项目初审及项目基本信息）',
        },
        {
          code: 'RADIO',
          title: '部署方式',
          options: [
            { value: '1', label: '线上部署' },
            { value: '2', label: '本地部署' },
          ],
        },
        {
          code: 'RADIO',
          title: '阅卷方式',
          options: [
            { value: '1', label: '集中阅卷' },
            { value: '2', label: '分散阅卷' },
          ],
        },
        {
          code: 'RADIO',
          title: '扫描场地网络情况',
          options: [
            { value: '1', label: '提供外网' },
            { value: '2', label: '不提供外网' },
          ],
        },
        {
          code: 'DATE',
          title: '扫描开始时间',
        },
        {
          code: 'DATE',
          title: '扫描结束时间',
        },
        {
          code: 'DATE',
          title: '评卷开始时间',
        },
        {
          code: 'DATE',
          title: '评卷开始时间',
        },
        {
          code: 'TEXTAREA',
          title: '其他特殊要求',
        },
        {
          code: 'UPLOAD_IMAGE',
          title: '上传项目关键信息表（纸质）拍照',
          limit: 5,
        },
      ],
    },
    {
      taskName: '项目内审',
      taskKey: 'XXX',
      setup: 3,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '项目基本信息',
        },
        {
          code: 'TEXT',
          title: '科目数量',
        },
        {
          code: 'TEXT',
          title: '考试科次',
        },
        {
          code: 'DATE',
          title: '考生数据内部交接时间',
        },
        {
          code: 'DATE',
          title: '考试时间安排表获取时间',
        },
        {
          code: 'TEXT',
          title: '扫描仪数量（台）',
        },
        {
          code: 'TEXT',
          title: '现场标准服务周期（人天）',
        },
        {
          code: 'DATE',
          title: '项目关键信息提交截止时间',
        },
        {
          code: 'DATE',
          title: '现场服务完成撤场计划时间',
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '云阅卷（填写前请先认真查阅移交的项目初审及项目基本信息）',
        },
        {
          code: 'RADIO',
          title: '部署方式',
          options: [
            { value: '1', label: '线上部署' },
            { value: '2', label: '本地部署' },
          ],
        },
        {
          code: 'RADIO',
          title: '阅卷方式',
          options: [
            { value: '1', label: '集中阅卷' },
            { value: '2', label: '分散阅卷' },
          ],
        },
        {
          code: 'RADIO',
          title: '扫描场地网络情况',
          options: [
            { value: '1', label: '提供外网' },
            { value: '2', label: '不提供外网' },
          ],
        },
        {
          code: 'DATE',
          title: '扫描开始时间',
        },
        {
          code: 'DATE',
          title: '扫描结束时间',
        },
        {
          code: 'DATE',
          title: '评卷开始时间',
        },
        {
          code: 'DATE',
          title: '评卷开始时间',
        },
        {
          code: 'TEXTAREA',
          title: '其他特殊要求',
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '项目内审（请于24小时内完成内审）',
        },
        {
          code: 'RADIO',
          title: '我对以上项目关键信息已审核，确认内容无误',
          options: [
            { value: '1', label: '同意' },
            { value: '2', label: '不同意' },
          ],
        },
        {
          code: 'SIGN',
          title: '手写签名',
        },
        {
          code: 'TEXTAREA',
          title: '审批意见',
        },
      ],
    },
    {
      taskName: '设备出库登记',
      taskKey: 'XXX',
      setup: 4,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'RADIO',
          title: '设备出入库',
          options: [
            { value: '1', label: '出库' },
            { value: '2', label: '入库' },
          ],
          disabled: true,
        },
        {
          code: 'DATE',
          title: '设备出入库时间',
          api: '/api/******', //获取设备列表的api
        },
        {
          code: 'DEVICE_OUT_TABLE',
          title: '设备出库登记',
        },
      ],
    },
    {
      taskName: '扫描准备',
      taskKey: 'XXX',
      setup: 5,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '导入数据',
        },
        {
          code: 'CHECKBOX',
          title: '',
          options: [{ value: '1', label: '导入数据与原始数据是否一致' }],
        },
        {
          code: 'TEXT',
          title: '导入考生数量',
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '扫描仪设置',
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '扫描仪设置',
        },
        {
          code: 'CHECKBOX',
          title: '',
          span: 12,
          options: [
            {
              value: '1',
              label:
                '1、扫描仪分辨率设置是否150、扫描模式是否双面、图像类型是否灰度',
            },
            { value: '2', label: '2、选择“扫描模式”-“设置”-“装订边缘”-“上”' },
          ],
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '卡格式制作',
        },
        {
          code: 'CHECKBOX',
          title: '',
          span: 12,
          options: [
            {
              value: '1',
              label: '1、定位点、校验点是否制作',
            },
            { value: '2', label: '2、缺考区域是否框选' },
            {
              value: '3',
              label: '3、客观题区域是否正确框选、行列以及单选多选是否正确',
            },
            { value: '4', label: '4、条码识别区是否制作' },
            { value: '5', label: '5、屏蔽区是否制作' },
            { value: '6', label: '6、卷型：若有，则框选' },
            { value: '7', label: '7、页码：若答题卡超过1张，则框选' },
          ],
        },
      ],
    },
    {
      taskName: '正式扫描',
      taskKey: 'XXX',
      setup: 6,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '试扫检查',
        },
        {
          code: 'CHECKBOX',
          title: '',
          span: 12,
          options: [
            {
              value: '1',
              label: '1、查看条码是否识别正确',
            },
            { value: '2', label: '2、缺考、客观题是否识别正确' },
            { value: '3', label: '3、扫描原图正反面是否正确显示' },
            { value: '4', label: '4、裁切图屏蔽区是否正确' },
            { value: '5', label: '5、卷型：若有，是否识别正确' },
            { value: '6', label: '6、页码：若答题卡超过1张，是否页码识别正确' },
          ],
        },
      ],
    },
    {
      taskName: '校验收尾',
      taskKey: 'XXX',
      setup: 7,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '未上传考生核对',
        },
        {
          code: 'CHECKBOX',
          title: '',
          options: [
            {
              value: '1',
              label:
                '1、未上传考生是否与签到表进行核对，是否为缺考、违纪、免考等情况',
            },
            { value: '2', label: '2、是否将未上传考生发给学校确认' },
          ],
        },
        {
          code: 'TEXT',
          title: '完成数量',
        },
        {
          code: 'UPLOAD_IMAGE',
          title: '上传学校未上传考生沟通确认截图',
          limit: 1,
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '识别对照',
        },
        {
          code: 'CHECKBOX',
          title: '',
          options: [
            { value: '1', label: '是否将客观题识别异常的全部人工修改处理' },
          ],
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '缺考名单对比',
        },
        {
          code: 'CHECKBOX',
          title: '',
          options: [
            {
              value: '1',
              label:
                '核对未上传条数是否与学校提供的缺考名单吻合，人工指定为缺考（考生管理>导入名单>导入缺考名单）',
            },
          ],
        },
        {
          code: 'TEXT',
          title: '缺考科次数量',
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '手工输入条码确认',
        },
        {
          code: 'CHECKBOX',
          title: '',
          options: [
            {
              value: '1',
              label: '“数据检查" -"人工确认“，确认完成',
            },
          ],
        },
      ],
    },
    {
      taskName: '评卷准备',
      taskKey: 'XXX',
      setup: 8,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '评卷模式确认',
        },
        {
          code: 'RADIO',
          label: '评卷模式',
          options: [
            { value: '1', label: '轨迹模式' },
            { value: '2', label: '普通模式' },
          ],
        },
        {
          code: 'FORM_GROUP_TITLE',
          title: '评卷参数核对',
        },
        {
          code: 'CHECKBOX',
          title: '',
          span: 12,
          options: [
            {
              value: '1',
              label: '1、核查每个科目的满分是否正确（大部分科目都是100分）',
            },
            {
              value: '2',
              label:
                '2、核对客观题标答以及分数是否录入正确、多选题判分规则（漏选是否得分、任选得分）',
            },
            {
              value: '3',
              label:
                '3、检查所有科目结构和分组是否全部导入。（评卷管理>评卷进度查看分组状态）',
            },
          ],
        },
      ],
    },
    {
      taskName: '评卷收尾',
      taskKey: 'XXX',
      setup: 9,
      formKey: 'XXX',
      formProperty: [
        {
          code: 'FORM_GROUP_TITLE',
          title: '成绩提交核查',
        },
        {
          code: 'CHECKBOX',
          title: '',
          span: 12,
          options: [
            {
              value: '1',
              label: '1、是否已核对不缺考、客观题为0分的情况。',
            },
            {
              value: '2',
              label: '2、是否已核对主观题为0、客观题有分的情况。',
            },
            {
              value: '3',
              label: '3、是否检查客观题小题得分率低于20%的情况。',
            },
            {
              value: '4',
              label:
                '4、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样；请填写导出成绩数量以及完成时间',
            },
            {
              value: '5',
              label: '5、核对导出图片工具是否正常运行',
            },
          ],
        },
        {
          code: 'UPLOAD_IMAGE',
          title: '上传验收报告(纸质)拍照',
          limit: 5,
        },
      ],
    },
  ],
};
